---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.129.0.6
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: multus-admission-controller-nskb9
      namespace: openshift-multus
      resourceVersion: "8786"
      uid: 003b21e4-0f13-43d0-8cff-b96e88281008
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.0.15
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: multus-admission-controller-bkzjk
      namespace: openshift-multus
      resourceVersion: "9113"
      uid: 2a73e7f5-4b9f-4553-8fcd-141baebb39fa
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.130.0.11
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: multus-admission-controller-gsjzb
      namespace: openshift-multus
      resourceVersion: "9362"
      uid: a9484e77-a6b1-447a-a3ad-104b2acf28b0
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:39:52Z"
    creationTimestamp: "2022-03-08T10:38:08Z"
    generateName: multus-admission-controller-
    generation: 4
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: multus-admission-controller
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"9631da7c-0b96-428f-a47d-da0ebff77aa0"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:32Z"
    name: multus-admission-controller-stjsp
    namespace: openshift-multus
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: multus-admission-controller
      uid: 9631da7c-0b96-428f-a47d-da0ebff77aa0
    resourceVersion: "9363"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-multus/endpointslices/multus-admission-controller-stjsp
    uid: 258e3689-6eae-4817-8b12-fa5a11818908
  ports:
  - name: webhook
    port: 6443
    protocol: TCP
  - name: metrics
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.129.0.4
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: network-metrics-daemon-sw48w
      namespace: openshift-multus
      resourceVersion: "8543"
      uid: 228c92aa-a147-4699-a827-d02c62f0887a
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.0.22
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: network-metrics-daemon-djqpl
      namespace: openshift-multus
      resourceVersion: "10519"
      uid: ff6bbdfa-048c-4e3d-bee1-0d8340d28cb7
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.130.0.20
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: network-metrics-daemon-2nbpw
      namespace: openshift-multus
      resourceVersion: "10551"
      uid: b92be537-371b-4c77-9f11-b63c922ebc2f
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.131.0.3
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: network-metrics-daemon-m86r5
      namespace: openshift-multus
      resourceVersion: "19804"
      uid: 60ef2084-c701-4ecf-ba9c-84e4cec1fcdf
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.2.2
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: network-metrics-daemon-pkjvx
      namespace: openshift-multus
      resourceVersion: "20507"
      uid: 2efca949-86c9-4fe7-901d-8a004340040f
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.129.2.3
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: network-metrics-daemon-xxx4f
      namespace: openshift-multus
      resourceVersion: "21231"
      uid: f31bd7d5-872f-44fe-a851-cb9b62d42af3
    topology:
      kubernetes.io/hostname: worker-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:01Z"
    creationTimestamp: "2022-03-08T10:38:07Z"
    generateName: network-metrics-service-
    generation: 7
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: network-metrics-service
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"ecb22a3e-6939-4b6d-918a-6b6d002531c0"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:25Z"
    name: network-metrics-service-qkj9s
    namespace: openshift-multus
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: network-metrics-service
      uid: ecb22a3e-6939-4b6d-918a-6b6d002531c0
    resourceVersion: "21234"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-multus/endpointslices/network-metrics-service-qkj9s
    uid: ac5d110b-ea18-487d-83ea-6542d3b1fd12
  ports:
  - name: metrics
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "83068"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-multus/endpointslices
